﻿
/* line 383, ../../sass/layout/_main.scss */
/*.auditlog-box-2  {
    list-style-type: none;
    margin: 0;
    padding: 0;
}*/

/* line 384, ../../sass/layout/_main.scss */
.auditlog-box-2 tr {
    display: none;
}

    .auditlog-box-2 tr:nth-child(1),
    .auditlog-box-2 tr:nth-child(2) {
        display: table-row;
    }

.auditlog-box-all tr {
    display: table-row;
}


/* Error Styling */
.has-error {
    color: #ff7373;
}

    .has-error input {
        background-color: #fce4e4;
        border: 1px solid #ff7373;
        outline: none;
    }

.th-title-order {
    width: 48px;
}

.th-title-emp {
    width: 140px;
}

.th-title-time {
    width: 126px;
}

.record-box {
    border: none;
    padding-right: 3px;
    padding-left: 3px;
    padding-bottom: 3px;
}

.record-box-unmaxhight {
    max-height: none;
}

#ProcessAuditLogBox .record-show-box tr:hover {
    outline: 2px #ffa200 solid;
}

.countersigned-group:hover {
    outline: 2px #ffa200 solid;
    border-left-width: 0px;
}

.countersigned-group tr:hover {
    outline: none;
}

.countersigned-group {
    border-top: 4px solid #ddd;
    border-left-color: #0099cc;
    border-left-style: solid;
    border-left-width: 3px;
    border-bottom: 4px solid #ddd;
    margin-left: 5px;
}



/* 縮小置頂 */
.container-h2-s {
    font-size: 1.3em;
    color: #6f6f6f;
    width: 18%;
    padding-top: 5px;
}
/* UIUX */

.btn-wrapp {
    min-width: 108px;
    height: 32px;
}


/*表單Step區*/
.step-position {
    position: relative;
    top: 122px;
    left: 0;
    width: 122px;
    height: 1076px;
    max-height: 1076px;
    margin: 26px 0;
    overflow-y: auto;
    overflow-x: hidden;
    transform: rotate(-90deg) translateY(-120px) rotateY(180deg);
    transform-origin: right top;
}

#divToScroll .step-position::-webkit-scrollbar {
    width: 5px;
}

#divToScroll .step-position::-webkit-scrollbar-thumb {
    border-radius: 20px;
    background: #e2e2e2;
}

#divToScroll {
    height: 152px;
    overflow: hidden;
}

.from-step-box {
    height: 76px;
    width: 78px;
    transform: rotate(-90deg) rotateY(-180deg) translateY(-1px);
}


    .from-step-box ul {
        list-style: none;
        margin: 0;
        padding: 0;
        position: relative;
        left: -13px;
        text-align: center;
    }

    .from-step-box li {
        float: left;
        display: block;
        width: max-content;
        margin-bottom: 5px;
    }

        .from-step-box li:nth-child(1) b {
            float: left;
            width: 149.7px;
            font-weight: 500;
            font-size: 13px;
            letter-spacing: 1px;
            margin-bottom: 5px;
            color: #999999;
        }

            .from-step-box li:nth-child(1) b:last-child,
            .from-step-box li b .p-top10.step-on-text {
                color: #999;
            }

        .from-step-box li:nth-child(2) {
            padding-left: 66px;
        }

            .from-step-box li:nth-child(2) b {
                border-radius: 1000px;
                float: left;
                display: block;
                width: 18px;
                height: 18px;
            }

            .from-step-box li:nth-child(2) i {
                display: block;
                float: left;
                width: 125.5px;
                height: 3px;
                margin-top: 7.5px;
                background-color: #C7C7C7;
                border-radius: 10px;
                margin-left: 3px;
                margin-right: 3px;
            }

        .from-step-box li:nth-child(3) b {
            float: left;
            width: 150px;
            margin-top: 5px;
            line-height: 17px;
        }

        .from-step-box li:nth-child(3) i {
            /* display: none;
    font-size: 9px;
    font-weight: 500;*/
            letter-spacing: 0.6px;
            font-family: MicrosoftJhengHei;
            font-style: normal;
            font-weight: 400;
            font-size: 13px;
            color: #A7A7A7;
            letter-spacing: 1px;
            /* line-height: 12px; */
        }

            .from-step-box li:nth-child(3) i:last-child {
                /* margin-top: 2px; */
                letter-spacing: 0;
                color: #999 !important;
            }

            .from-step-box li:nth-child(3) i.date {
                color: #565656 !important;
                letter-spacing: 0px;
                font-size: 0.91rem !important;
                font-weight: 500;
                width: 58%;
            }

.step-icon {
    float: left;
    color: #fff;
    font-size: 10px;
    width: 12px;
    line-height: 12px;
    text-align: center;
}

.step-on-dot {
    border: solid 4px #14ba9a !important;
    background-color: #fff !important;
    width: 23px !important;
    height: 23px !important;
    margin-top: -2px;
}

.step-over-dot {
    border: solid 3px #14ba9a !important;
    background-color: #14ba9a !important;
}

    .step-over-dot .step-icon {
        display: inline-block;
    }

.step-not-dot {
    border: solid 4px #FFF !important;
    background-color: #C7C7C7 !important;
    color: #000;
}

    .step-not-dot .step-icon {
        display: inline-block;
    }

.step-on-text {
    display: inline-block !important;
    color: #48a5ea !important;
}

    .step-on-text i {
        display: inline-block !important;
    }

.step-over-line {
    background-color: #14ba9a !important;
}

.step-over-dotted-line {
    background-color: transparent !important;
    border-bottom-style: dotted;
    border-radius: 0px !important;
}

.border-color-green {
    border-color: #48a5ea !important;
}

.border-color-grey {
    border-color: #C7C7C7 !important;
}

/* ------- [ 調整流程進度被切到問題 ] -------  */

@media (max-width: 1200px) {
    .step-position {
        height: calc(1076px - 119px);
    }
}

@media (max-width: 1000px) {
    .step-position {
        height: calc(1076px - 200px);
    }
}

@media (max-width: 950px) {
    .step-position {
        height: calc(1076px - 250px);
    }
}

@media (max-width: 900px) {
    .step-position {
        height: calc(1076px - 322px);
    }
}

@media (max-width: 800px) {
    .step-position {
        height: calc(1076px - 322px);
    }
}

@media (max-width: 768px) {
    .step-position {
        height: calc(1076px - 440px);
    }
}

@media (max-width: 689px) {
    .step-position {
        height: calc(1076px - 480px);
    }
}

@media (max-width: 580px) {
    .step-position {
        height: calc(1076px - 650px);
    }
}


/*表單Step區end*/


/*Step區-應作業流程*/

.speechBubble {
    background: #FFFFFF;
    width: auto;
    max-width: 301px;
    padding: 14px;
    padding-right: 23px;
    text-align: left;
    position: absolute;
    top: 147px;
    left: calc(100%/2);
    box-shadow: 0 2px 12px 0 rgba(163,163,163,0.41);
    border: 1px solid #AFAFAF;
    border-radius: 4px;
}

    .speechBubble h1 {
        font-size: 13px;
        font-weight: 600;
        margin: 0;
        color: #414141;
        letter-spacing: 0.51px;
    }

    .speechBubble ol {
        list-style: none;
        margin-block-start: 0.6em;
        margin-block-end: 0;
        counter-reset: my-awesome-counter;
        padding-left: 0;
        color: #575757;
    }

        .speechBubble ol li {
            font-size: 10px;
            counter-increment: my-awesome-counter;
        }

            .speechBubble ol li::before {
                content: counter(my-awesome-counter) ". ";
                color: #575757;
            }

    .speechBubble:after {
        content: "";
        position: absolute;
        box-shadow: rgba(0, 0, 0, 0.2) 1px 1px 1px;
        -moz-transform: rotate(45deg);
        -webkit-transform: rotate(45deg);
        bottom: -4px;
        left: calc((100%/2.08));
        border-width: 5px;
        border-style: solid;
        border-color: transparent #FFF #FFF transparent;
    }

.p-top10 {
    cursor: help;
}

